Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - libspoton

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: libspoton 2017.01.20-1

Git Clone URL: https://aur-dev.archlinux.org/libspoton.git (read-only)
Package Base: libspoton
Description: Binding library for Spot-On
Upstream URL: http://spot-on.sourceforge.net/
Licenses: custom:3-clause BSD
Submitter: maandree
Maintainer: maandree
Last Packager: maandree
Votes: 4
Popularity: 0.008098
First Submitted: 2014-05-03 20:49
Last Updated: 2017-01-26 20:47

Latest Comments

ChickTower commented on 2015-05-03 21:28

The PKGBUILD no longer works because it can't find the source. The only version I see available on SourceForge is .22.

anex commented on 2014-09-26 19:38

# Maintainer: Mattias Andrée <`base64 -d`(bWFhbmRyZWUK)@member.fsf.org>

pkgname=libspoton
pkgver=0.09.19
pkgrel=1
pkgdesc='Binding library for Spot-On'
url='http://spot-on.sourceforge.net/'
arch=('i686' 'x86_64')
license=('custom:3-clause BSD')
depends=('sqlite' 'libgcrypt>=1.5')
makedepends=('sqlite' 'libgcrypt>=1.5' 'make' 'gcc' 'coreutils')
source=("http://softlayer-dal.dl.sourceforge.net/project/spot-on/Version%200.12/Spot-On.d.tar.gz")
sha256sums=('7aafb7cb22ff075b123f402de7de5c5dd56b174341daecd4a51824a5c0b68514')


build() {
cd "$srcdir/spot-on.d/libSpotOn"
make
}

package () {
cd "$srcdir/spot-on.d/libSpotOn"
install -dm755 -- "$pkgdir/usr/lib"
install -m755 -- libspoton.so "$pkgdir/usr/lib/libspoton.so"
install -dm755 -- "$pkgdir/usr/include"
install -m755 -- libspoton.h "$pkgdir/usr/include/libspoton.h"
}